tcl/tk 8.5

wooooooooooow no hay otras palabras para definir la nueva version de toolkit, bueno aunke creo ya hay versiones mas avanzadas segun yo el 8.5 es la mas estable y vaya ke a dado un giro de horrible (version 8.4 ke tiene por defecto linux) a sorprendente, le da una vuelta completa al estilo a los widgets del amsn, incluso hasta con posibilidad de hacer transparentes las ventanas y un monton de posibilidades con las skins, pero bueno, basta de enaltecer el tcl/tk y veamos como instalarlo.

Primero tienes ke desinstalar el amsn

sudo apt-get remove amsn

despues instalar algunas dependencias para ke la magia empiece

sudo aptitude install build-essential libc6-dev libx11-dev libxft-dev libpng-dev

despues bajate el tcl/tk8.5 igual puedes bajarte alguna otra version pero yo lo hice con el 8.5 por akello de la estabilidad, bajate el tcl8.5.0-src.tar.gz y tk8.5.0-src.tar.gz de aki ftp://ftp.tcl.tk/pub/tcl/tcl8_5

ahora que los bajaste los descomprimes, te vas a la carpeta que se llama unix, ejecutas terminal o consola y escribes

Para tcl:

$ ./configure --prefix=/usr
$ make
$ sudo make install

Para tk:

$ ./configure --prefix=/usr --enable-xft
$ make
$ sudo make install

Por ultimo para ke la magia aplike ponemos

$ cd /usr/bin
$ sudo rm wish
$ sudo ln -s wish8.5 wish

Ahora ya solo keda bajarte la version de amsn para tcl/tk8.5 lo bajas de la pagina de alvaro (amsn) lo instalas, a la hora de iniciar sesion te preguntara tu arquitectura para bajar un paquete, lo bajas, cierras totalmente el amsn lo vuelves a abrir y listo ahora si podras inciar sesion y a disfrutar =)

6 Responses to tcl/tk 8.5

  1. Jonathan dice:

    Exelente aporte, Muchisimas gracias me servido de mucho

  2. Omar dice:

    segui todos los pasos que aqui publicas, pero al instalar el amsn me marca que falta instalar el tk

  3. Omar dice:

    cabe mencionar que instale la version tk8.5b3 para tomarlo en cuenta

  4. moy505 dice:

    ./configure –prefix=/usr

    como arreglo esto
    configure: error: invalid variable name: –prefix

    mmm . es raro

  5. adonay dice:

    Si tienes hardy te recomendaria lo instalaras de synaptic para evitarte broncas, como sea, lo que sale mal es que son – -prefix … dos lineas pues lo que pasa esque wordpress formatea las lineas y keda una larga. tambien en enable son dos lineas juntas – -enable

  6. moy505 dice:

    hola si grax. me di cuenta como despues de 15 min. jojojojo sorry. pero esta claro a los chikos q le pasa este error. SON DOS – – GUINES JUNTOS. JOJOJOJO

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: